Skip to main content
PATCH
/
:projectId
/
api
/
v7
/
connections
/
:connectionId
/
accept
Accept Connection
curl --request PATCH \
  --url https://api.replyke.com/api/v6/:projectId/api/v7/connections/:connectionId/accept
{
  "id": "<string>",
  "status": "<string>",
  "respondedAt": "<string>"
}
Accepts a pending connection request. Only the receiver of the original request can accept it. A notification is sent to the original requester.

Path Parameters

connectionId
string
required
The ID (UUID) of the pending connection record to accept.

Response

On success, returns HTTP 200:
id
string
Connection record ID.
status
string
"accepted".
respondedAt
string
ISO timestamp of when the connection was accepted.

Error Responses

{
  "error": "Pending connection request not found.",
  "code": "connection/not-found"
}
{
  "error": "Only the receiver can accept a connection request.",
  "code": "connection/unauthorized"
}

See Also